Bug 237412 - Firewire camera permissions
Firewire camera permissions
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F8Target
  Show dependency treegraph
 
Reported: 2007-04-22 05:48 EDT by Simon Goodall
Modified: 2013-03-05 22:50 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-21 12:14:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Goodall 2007-04-22 05:48:52 EDT
Description of problem:
When I plug my firewire camera into my machine, it gives me a /dev/video1394/0
which is only readable/writable by the owner (root I think). USB video devices
are created with mode 0660. Can firewire video devices also be created with this
mode?

I think the relevant like would be;

KERNEL=="video1394*",           NAME="video1394/%n", MODE="0660"

Currently I have to manually chmod the device.

Version-Release number of selected component (if applicable):
udev-095-17.fc6

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Harald Hoyer 2007-04-23 04:05:17 EDT
better done by pam_console
Comment 2 Tomas Mraz 2007-04-23 06:11:39 EDT
pam_console will not change the file mode of the device. By adding it to
pam_console configuration it will just became owned by the console user when he
is logged in.

I don't know what you are trying to achieve. If you just want to have the camera
device readable/writable by console user it would be logical to just add it to
pam_console configuration. If you want it accessible by some group specifically
created for that purpose, it has to be changed in udev.
Comment 3 Simon Goodall 2007-04-23 06:53:53 EDT
I would like to be able to use my firewire camera without having to change the
permissions on the device. USB cameras already work fine.
It was my understanding that udev setup the permissions for this.

USB device perms;
lrwxrwxrwx 1 root root 6 Apr 23 11:22 /dev/video -> video0

FireWire device perms;
crw-rw---- 1 root root 171, 16 Apr 23 11:38 /dev/video1394/0

Looking back, the mode specified in the udev file doesn't correspond to that
shown by ls. I'm not actually sure now where that mode is being set.
Comment 4 Harald Hoyer 2007-04-23 08:39:15 EDT
hal is setting usb camera permissions iirc
Comment 5 Bert DeKnuydt 2007-04-23 09:34:32 EDT
We've been adding a file '60-firewire.perms' in /etc/security/console.perms.d
reading:

#Set Permissions for FireWire
<video1394>=/dev/video1394/?
<console> 0600 <video1394> 0600 root

And that seems to do the job ...
Comment 6 Tomas Mraz 2007-04-23 15:10:38 EDT
Yes. So the real request is to add /dev/video1394/* to
/etc/security/console.perms.d/50-default.perms.

As we are near F7 release this can wait for F8 + F7 update.
Comment 7 Tomas Mraz 2007-09-21 09:46:49 EDT
pam_console is now obsolete for handling device permissions. hal should set them
instead.
Comment 10 David Zeuthen 2007-09-21 12:14:17 EDT
I just verified that this works in Rawhide using on of Kristian's Firewire
devices (you get an ACL only for active sessions). Please reopen if there are
any problems. Thanks.

Note You need to log in before you can comment on or make changes to this bug.